#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	String
%define		pnam	Strip
Summary:	String::Strip - Perl extension for fast, commonly used, string operations
Summary(pl.UTF-8):	String::Strip - rozszerzenie Perla do szybkich, często używanych operacji na łańcuchach
Name:		perl-String-Strip
Version:	1.02
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	af9e625b14729d3c66b3a78a208ae85c
URL:		http://search.cpan.org/dist/String-Strip/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
StripLTSpace	- Removes Leading and Trailing spaces from given string
StripTSpace	- Removes Trailing spaces from given string
StripLSpace	- Removes Leading spaces from given string
StripSpace	- Removes all spaces from given string

I do these things often, and these routines tend to be about 35% faster
than the corresponding regex methods.

%description -l pl.UTF-8
StripLTSpace	- usuwa wiodące i końcowe spacje z podanego łańcucha
StripTSpace	- usuwa końcowe spacje z podanego łańcucha
StripLSpace	- usuwa wiodące spacje z podanego łańcucha
StripSpace	- usuwa wszystkie spacje z podanego łańcucha

Autor modułu często wykonuje te rzeczy, a te funkcje są około 35%
szybsze od odpowiadających im metod używających wyrażeń regularnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/String/*.pm
%dir %{perl_vendorarch}/auto/String/Strip
%attr(755,root,root) %{perl_vendorarch}/auto/String/Strip/*.so
%{perl_vendorarch}/auto/String/Strip/*.ix
%{_mandir}/man3/*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Strip.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> dc65bde
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> d687fe1
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 4483aaa
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Nov 20 2018 Adam Gołębiowski <adamg@pld-linux.org> 57cb451
- updated to 1.02

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 7e44899
- rebuild with perl 5.28.0
- release 18 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2263027
- perl req/prov fix
- release 17 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 01a5380
- rebuild with perl 5.26
- release 16 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 0802d64
- rebuild with perl 5.24.0
- release 15 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9c7928c
- release 14 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 1e1c9a2
- x32 rebuild
- release 13 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 631b2ce
- release 12 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> cd2adab
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d77c773
- rebuild for perl 5.20
- release 11 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 6a6c425
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 5910449
- rel 9

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 4fa5dea
- release 8

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 72923e0
- release 7

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> afa9bc2
- release 6

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 286a0dd
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e61e5b
- rel 5

